<template>
  <h1>Job Detials Page</h1>
  <div v-if="resData">
    <p>Job ID is {{ resData.id }}</p>
    <p v-for="(value, key) in resData" :key="key">{{ key }}: {{ value }}</p>
  </div>

  <div v-else>Loading...</div>
  <button @click="changeRoute">toggle</button>
  <router-view />
</template>

<script>
import axios from "axios";
export default {
  data() {
    return {
      id: this.$route.params.id,
      resData: null,
    };
  },
  methods: {
    changeRoute() {
      this.$router.push({ name: "Nested2", params: { name: "Jesswin" } });
    },
    async get() {
      try {
        let res = await axios.get(
          `https://jsonplaceholder.typicode.com/users/${this.id}`
        );
        let data = await res.data;
        this.resData = { ...data };
        console.log(data);
      } catch (err) {
        console.log(err.message);
      }
    },
  },
  mounted() {
    this.get();
    console.log(this.resData);
  },
};
</script>

<style>
</style>